--[[
# docx-custom-span-styles.lua

- Generated by EmmyLua(https://github.com/EmmyLua)
- Created by yamamoto.
- DateTime: 2020/06/29 4:58

## Function

Detects Span in custom class listed in config file and apply custom-styles attribute.

]]
--local pretty = require("pl.pretty")

local debug = require("pandocker.utils").debug
local util_get_meta = require("pandocker.utils").util_get_meta

local META_KEY = "custom-spans"

local default_meta = require("pandocker.default_loader")[META_KEY]
assert(default_meta)

local meta = {}
local APPLY_DEFAULT = "[ lua ] metadata '%s' was not found in source, applying default %s."
local APPLY = "[ lua ] '%s' class Span found and applied '%s' custom character style"

if FORMAT == "docx" then
    local function get_vars(mt)
        meta = util_get_meta(mt, default_meta, META_KEY)
    end

    local function replace(el)
        for k, v in pairs(meta) do
            if el.classes:includes(k) then
                local style = pandoc.utils.stringify(v)
                --debug(k .. ", " .. style)
                el.attributes["custom-style"] = style
                debug(string.format(APPLY, k, style))
            end
        end

        return el
    end

    return { { Meta = get_vars }, { Span = replace } }

end
